#ifndef NBTRIXX_H_SEEN
#define NBTRIXX_H_SEEN

#include "machdefs.h"

namespace SOPHYA {

template<class T>
inline void _NR_SWAP(T &a, T &b) {T dum=a; a=b; b=dum;}

template <class T>
void TabSort(uint_4 n, T *arr);

  template <class T, class U>
void TabSort2(uint_4 n, T *arr, U *brr);

template <class T>
void TabSortInd(uint_4 n, T *arr, uint_4 *indx);

}

#endif
